{include file="header.tpl"}

<script	language=JavaScript>

{literal}

function toggleAckButton() {
	button = document.getElementById('ack_button');
	if ( button.disabled == true ) {
		button.disabled = false;
	} else {
		button.disabled = true;
	}

	return true;
}
{/literal}
</script>

<div id="rowContent">
  <div id="titleTab"><div class="textTitle"><span class="textTitleSub">{$title}</span></div>
</div>
<div id="rowContentInner">
		<table class="tblList" id="message_table">

		<form method="get" action="{$smarty.server.SCRIPT_NAME}">
			<tr>
				<td class="tblPagingLeft" colspan="7" align="right">
					{include file="pager.tpl" pager_data=$paging_data}
				</td>
			</tr>

		{if $require_ack == TRUE}
			<tr class="tblDataError">
				<td colspan="8">
					<b>NOTICE:</b> This messages requires your acknowledgment.
				</td>
			</tr>
		{/if}

		{foreach name="messages" from=$messages item=message}
			{if $smarty.foreach.messages.first}
			<tr class="tblHeader">
				<td>
					Posted By / Date
				</td>
				<td width="80%">
					Message
				</td>
			</tr>
			{/if}

			{cycle assign=row_class values="tblDataWhiteNH,tblDataGreyNH"}
			{if $message.deleted == TRUE}
				{assign var="row_class" value="tblDataDeleted"}
			{/if}

			<tr class="{$row_class}">
				<td style="text-align:left;">
					{$message.created_by_full_name}
				</td>
				<td rowspan="2" style="text-align:left; vertical-align: top;">
					<b>Subject:</b> {$message.subject}<br><br>
					{$message.body|nl2br}
				</td>
			</tr>
			<tr class="{$row_class}">
				<td style="text-align:left;">
					{getdate type="DATE+TIME" epoch=$message.created_date default=TRUE}
				</td>
			</tr>

			{if $message.require_ack == TRUE}
				<tr class="{$row_class}">
					<td style="text-align:center;" colspan="2">
						{if $message.is_ack == TRUE}
						This message was acknowledged by <b>{$message.ack_by_full_name}</b> on <b>{getdate type="DATE+TIME" epoch=$message.ack_date}</b>.
						{else}
						This message is pending acknowledgment.
						{/if}
					</td>
				</tr>
			{/if}
			<tr>
				<td>
				</td>
			</tr>
		{/foreach}

		{if $require_ack == TRUE}
			<tr>
				<td colspan="2">
					<table class="editTable">
					<tr class="tblHeader">
						<td colspan="2">
							Message Acknowledgment
						</td>
					</tr>

					<tr onClick="showHelpEntry('ack')">
						<td class="cellRightEditTable" colspan="2" align="center">
							By clicking the checkbox, I <b>{$current_user->getFullName()}</b> hereby acknowledge<br>
							that I have read and understand this message in its entirety on <b>{getdate type="DATE" epoch=$current_date}</b>: <input type="checkbox" class="checkbox" name="data[require_ack]" onClick="toggleAckButton();" value="1">
						</td>
					</tr>

					<tr class="tblHeader">
						<td colspan="2">
							<input type="submit" id="ack_button" name="action" value="Acknowledge Message" disabled>
							<input type="hidden" name="ack_message_id" value="{$ack_message_id}">
						</td>
					</tr>
					</table>
				</td>
			</tr>
		{/if}

		{if $permission->Check('message','add')}
			<tr>
				<td colspan="2">
					<table class="editTable">
					{if !$mf->isValid()}
						{include file="form_errors.tpl" object="mf"}
					{/if}
					<tr class="tblHeader">
						<td colspan="2">
							New Message
						</td>
					</tr>

					<tr onClick="showHelpEntry('subject')">
						<td class="{isvalid object="mf" label="subject" value="cellLeftEditTable"}" style="width: 20%;">
							<a name="form_start"></a>
							Subject:
						</td>
						<td class="cellRightEditTable">
							<input type="text" size="45" name="message_data[subject]" value="{if !empty($message_data.subject)}{$message_data.subject}{else}{$default_subject}{/if}">
						</td>
					</tr>
					<tr onClick="showHelpEntry('body')">
						<td class="{isvalid object="mf" label="body" value="cellLeftEditTable"}">
							Body:
						</td>
						<td class="cellRightEditTable">
							<textarea rows="5" cols="50" name="message_data[body]">{$message_data.body}</textarea>
						</td>
					</tr>

					<tr class="tblHeader">
						<td colspan="2">
							<input type="submit" name="action" value="Submit Message">
						</td>
					</tr>
					</table>
				</td>
			</tr>
		{/if}
		<tr>
			<td class="tblPagingLeft" colspan="7" align="right">
				{include file="pager.tpl" pager_data=$paging_data}
			</td>
		</tr>

	<input type="hidden" name="parent_id" value="{$id}">
	<input type="hidden" name="object_type_id" value="{$object_type_id}">
	<input type="hidden" name="object_id" value="{$object_id}">
	<input type="hidden" name="sort_column" value="{$sort_column}">
	<input type="hidden" name="sort_order" value="{$sort_order}">
	<input type="hidden" name="page" value="{$paging_data.current_page}">
	</table>
</form>
</div>
{include file="footer.tpl"}